<bluemsxtheme name="blueGEAR v2.2">
<!--
  blueGEAR v2.2 is adapted from v1.7 to work with blueMSX v2.2.
  Theme scripting is based on the v2.2 specification and may not be supported under future release.
																			 	
	Copyright 2004-2005 Ray Zero (Concept & Design)

  A special thanks blueMSX members for their input and encouragement.
  Dedicated to our user tidegear for his request on blueGEAR theme.
-->

    <!--======== Normal window size theme ========-->
    <theme mode="normal" width="800" height="628">
        <emuwindow x="0" y="30"/>
        <menu x="20" y="4" bgcolor="A7A7A7" focuscolor="686868"/>

        <image x="0" y="0" src="FrameworkFULL_SIZE.bmp"/>
	
	<text x="36" y="562" width="38" src="FONTS1.bmp" visible="not emu-stopped" trigger="text-runningname"/>
	<text x="36" y="562" width="38" align="right" src="FONTS1.bmp" visible="emu-stopped" trigger="text-buildandversion"/>
   	<text x="662" y="50" width="8"  align="right" visible="emu-stopped" src="FONTS1.bmp" trigger="text-ramsize"/>
	<text x="662" y="50" width="5"  align="right" visible="not emu-stopped" src="FONTS1.bmp" trigger="text-framespersecond"/>
	<text x="662" y="92" width="8"  align="right" visible="emu-stopped" src="FONTS1.bmp" trigger="text-vramsize"/>
	<text x="662" y="92" width="5"  align="right" visible="not emu-stopped" src="FONTS1.bmp" trigger="text-cpuusage"/>
	<text x="36" y="596" width="8"  align="right" visible="emu-stopped" src="FONTS1.bmp" trigger="text-machinename"/>
        <text x="36" y="596" width="5"  align="right" visible="not emu-stopped" src="FONTS1.bmp" trigger="text-emufrequency"/>
	<meter x="780" y="182" max="19" src="Volume_meter_L.bmp" trigger="volume-master-left"/>
        <meter x="792" y="182" max="19" src="Volume_meter_R.bmp" trigger="volume-master-right"/>
	<dualbutton x="238" y="518" src="ROM-1.bmp" action1="cart1-insert" action2="menu-cart1" arg2x="238" arg2y="548"/>
        <dualbutton x="306" y="518" src="ROM-2.bmp" action1="cart2-insert" action2="menu-cart2" arg2x="306" arg2y="548"/>
        <dualbutton x="374" y="518" src="DISK-1.bmp" action1="diska-insert" action2="menu-diska" arg2x="374" arg2y="548"/>
        <dualbutton x="442" y="518" src="DISK-2.bmp" action1="diskb-insert" action2="menu-diskb" arg2x="442" arg2y="548"/>
        <dualbutton x="510" y="518" src="CAS-1.bmp" action1="cas-insert" action2="menu-cassette" arg2x="510" arg2y="548"/>
    	<dualbutton x="646" y="132" src="RESET.bmp" direction="vertical" action1="emu-resethard" action2="menu-reset" arg2x="646" arg2y="194"/>

     <!-- Execution Control Button -->

	<button x="646" y="206" src="PLAY.bmp" action="emu-togglepause" visible="not emu-running"/>
	<button x="646" y="272" src="PAUSE.bmp" action="emu-togglepause" visible="emu-running"/>
        <button x="646" y="314" src="STOP.bmp" action="emu-stop" visible="not emu-stopped"/>
	<dualbutton x="646" y="362" src="MONITOR.bmp" direction="vertical" action1="window-small" action2="menu-windowsize" arg2x="646" arg2y="424"/>
        <dualbutton x="646" y="438" src="OPTION.bmp" direction="vertical" action1="dlg-controls" action2="menu-options" arg2x="646" arg2y="500"/>

	<button x="772" y="476" src="VOL-INC.bmp" action="audio-increasevolume"/>
	<button x="772" y="508" src="VOL-DEC.bmp" action="audio-decreasevolume"/>
	<button x="770" y="496" src="MUTE.bmp" action="audio-togglemute" visible="enable-master"/>
	<button x="770" y="496" src="MUTE2.bmp" action="audio-togglemute" visible="not enable-master"/>
	<button x="790" y="496" src="STEREO-MONO.bmp" action="audio-togglestereo" visible="enable-stereo"/>
	<button x="790" y="496" src="STEREO-MONO2.bmp" action="audio-togglestereo" visible="not enable-stereo"/>

        <led x="384" y="612" src="LEDS.bmp" trigger="led-diska"/>
        <led x="452" y="612" src="LEDS.bmp" trigger="led-diskb"/>
	<led x="520" y="612" src="LEDS.bmp" trigger="led-cassette"/>
        <led x="716" y="550" src="SMALL-LED.bmp" trigger="led-caps"/>
        <led x="716" y="566" src="SMALL-LED.bmp" trigger="led-kana"/>
        <led x="716" y="588" src="SMALL-LED.bmp" trigger="led-frontswitch"/>
        <led x="716" y="604" src="SMALL-LED.bmp" trigger="led-audioswitch"/>
</theme>

    <!--======== Fullscreen size theme ========-->
    <theme mode="fullscreen">
        <emuwindow x="0" y="0"/>
        <menu x="20" y="0" bgcolor="A7A7A7" focuscolor="686868"/>
        
        <image x="0" y="0" src="Frameworkfullscreen.bmp"/>

        <text x="40" y="62" width="32" align="right" visible="emu-stopped" src="FONTS1.bmp" trigger="text-buildandversion"/>
	<text x="40" y="288" width="20"visible="emu-stopped" src="FONTS1.bmp" trigger="text-rommapper1"/>
	<text x="40" y="308" width="20"visible="emu-stopped" src="FONTS1.bmp" trigger="text-rommapper2"/>
	<text x="40" y="328" width="20"visible="emu-stopped" align="right" src="FONTS1.bmp" trigger="text-machinename"/>
	<text x="40" y="348" width="5"visible="emu-stopped" src="FONTS1.bmp" trigger="text-ramsize"/>
	<text x="280" y="348" width="5"visible="emu-stopped" align="right" src="FONTS1.bmp" trigger="text-vramsize"/>
	<text x="40" y="394" width="32"visible="emu-stopped" src="FONTS1.bmp" trigger="text-runningname"/>
    </theme>


    <!--======== Small size theme ========-->
    <theme mode="small" width="400" height="322">
        <emuwindow x="0" y="23"/>
        <menu x="20" y="0" bgcolor="A7A7A7" focuscolor="686868"/>
        
        <image x="0" y="-1" src="SMALL/FrameworkFULL_SIZE.bmp"/>
	
	<text x="18" y="289" width="38" src="SMALL/FONTS1.bmp" visible="not emu-stopped" trigger="text-runningname"/>
	<text x="18" y="289" width="38" align="left" src="SMALL/FONTS1.bmp" visible="emu-stopped" trigger="text-buildandversion"/>
        <text x="331" y="33" width="8"  align="right" visible="emu-stopped" src="SMALL/FONTS1.bmp" trigger="text-ramsize"/>
        <text x="331" y="33" width="5"  align="right" visible="not emu-stopped" src="SMALL/FONTS1.bmp" trigger="text-framespersecond"/>
        <text x="331" y="54" width="8"  align="right" visible="emu-stopped" src="SMALL/FONTS1.bmp" trigger="text-vramsize"/>
        <text x="331" y="54" width="5"  align="right" visible="not emu-stopped" src="SMALL/FONTS1.bmp" trigger="text-cpuusage"/>
	<text x="18" y="306" width="8"  align="right" visible="emu-stopped" src="SMALL/FONTS1.bmp" trigger="text-machinename"/>
	<text x="18" y="306" width="5"  align="right" visible="not emu-stopped" src="SMALL/FONTS1.bmp" trigger="text-emufrequency"/>
	<meter x="390" y="99" max="19" src="SMALL/Volume_meter_L.bmp" trigger="volume-master-left"/>
        <meter x="396" y="99" max="19" src="SMALL/Volume_meter_R.bmp" trigger="volume-master-right"/>
	<dualbutton x="119" y="267" src="SMALL/ROM-1.bmp" action1="cart1-insert" action2="menu-cart1" arg2x="119" arg2y="282"/>
        <dualbutton x="153" y="267" src="SMALL/ROM-2.bmp" action1="cart2-insert" action2="menu-cart2" arg2x="153" arg2y="282"/>
        <dualbutton x="187" y="267" src="SMALL/DISK-1.bmp" action1="diska-insert" action2="menu-diska" arg2x="187" arg2y="282"/>
        <dualbutton x="221" y="267" src="SMALL/DISK-2.bmp" action1="diskb-insert" action2="menu-diskb" arg2x="221" arg2y="282"/>
        <dualbutton x="255" y="267" src="SMALL/CAS-1.bmp" action1="cas-insert" action2="menu-cassette" arg2x="255" arg2y="282"/>
    	<dualbutton x="323" y="74" src="SMALL/RESET.bmp" action1="emu-resethard" action2="menu-reset" arg2x="323" arg2y="105"/>
	<button x="323" y="111" src="SMALL/PLAY.bmp" action="emu-togglepause" trigger="not emu-running"/>
	<button x="323" y="144" src="SMALL/PAUSE.bmp" action="emu-togglepause" trigger="emu-running"/>
        <button x="323" y="165" src="SMALL/STOP.bmp" action="emu-stop" trigger="not emu-stopped"/>
	<dualbutton x="323" y="189" src="SMALL/MONITOR.bmp" direction="vertical" action1="window-normal" action2="menu-windowsize" arg2x="323" arg2y="220"/>
        <dualbutton x="323" y="227" src="SMALL/OPTION.bmp" direction="vertical" action1="dlg-controls" action2="menu-options" arg2x="323" arg2y="258"/>
	<button x="386" y="246" src="SMALL/VOL-INC.bmp" action="audio-increasevolume"/>
	<button x="386" y="262" src="SMALL/VOL-DEC.bmp" action="audio-decreasevolume"/>
	
	<button x="385" y="256" src="SMALL/MUTE.bmp" action="audio-togglemute" visible="enable-master"/>
	<button x="385" y="256" src="SMALL/MUTE2.bmp" action="audio-togglemute" visible="not enable-master"/>
	<button x="395" y="256" src="SMALL/STEREO-MONO.bmp" action="audio-togglestereo" visible="enable-stereo"/>
	<button x="395" y="256" src="SMALL/STEREO-MONO2.bmp" action="audio-togglestereo" visible="not enable-stereo"/>

        <led x="192" y="314" src="SMALL/LEDS.bmp" trigger="led-diska"/>
        <led x="226" y="314" src="SMALL/LEDS.bmp" trigger="led-diskb"/>
	<led x="260" y="314" src="SMALL/LEDS.bmp" trigger="led-cassette"/>
        <led x="358" y="283" src="SMALL/SMALL-LED.bmp" trigger="led-caps"/>
        <led x="358" y="291" src="SMALL/SMALL-LED.bmp" trigger="led-kana"/>
        <led x="358" y="302" src="SMALL/SMALL-LED.bmp" trigger="led-frontswitch"/>
        <led x="358" y="310" src="SMALL/SMALL-LED.bmp" trigger="led-audioswitch"/>
    </theme>

</bluemsxtheme>
